Erro na pagina principal localhost/phpmyadmin

Porque ao acessar localhost/phpmyadmin está com esse erro no front-end da pagina sendo que deveria ser assim:

Verifique se você tem instalado o pacote:

sudo apt install libapache2-mod-php

Por se tratar do erro no phpmyadmin, pode ser que o apache não esteja com o módulo ativo. Então basta fazer o que o colela @natorsc falou. Porém se esse for o motivo do problema então vai acontecer o erro com qualquer outra aplicação php, não somente o phpmyadmin.

No caso de sites que mostram o código php no browser ao invés de interpretá-los o problema é a variável short_open_tag no php.ini. Tente alterar para ver se resolve.

1 Curtida

Já está instalando amigo.

Em qual arquivo e pasta estaria essa variável no linux ?

No Centos fica em /etc/php.ini.

Se for ubuntu, debian e derivados fica em /etc/php(versao).

Short_open_tag está relacionada e interfere na interpretação de códigos diferenciando abertura <?php e <? (sem php).

1 Curtida